/*******************************************************************************
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 *     Copyright IBM Corp. 2001, 2014 All Rights Reserved
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
package javax.rcm;

/**
 * This is a callback and gets invoked after a resource consumption request has been handled completely.
 *
 */
public interface Notification {
	/**
	 * Called after a resource consumption request has been handled.
	 * @param domain the resource domain on which the request is handled.
	 * @param previousUsage resource usage when the consumption was requested
	 * @param currentUsage  the total real usage which has been granted to the domain.
	 */
    void postConsume(ResourceDomain domain, long previousUsage,
            long currentUsage);
}
