/*******************************************************************************
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 *     Copyright IBM Corp. 2001, 2014 All Rights Reserved
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
package javax.rcm;

/**
 * The exception thrown by the resource management system.
 */
public class ResourceException extends RuntimeException {

    /**
     * Serial version UID.
     */
    private static final long serialVersionUID = -4649465970981787699L;

    /**
     * Constructs a resource exception.
     */
    public ResourceException() {
        super();
    }

    /**
     * Constructs a new exception with the detailed message.
     *
     * @param message
     *            The detailed message describing the exception.
     */
    public ResourceException(String message) {
        super(message);
    }

    /**
     * Constructs a new exception with the detailed message and the cause.
     *
     * @param message
     *            The detailed message describing the exception.
     * @param cause
     *            The cause.
     */
    public ResourceException(String message, Throwable cause) {
        super(message, cause);
    }
}
